Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## javax.persistence
Enum FetchType

    java.lang.Object
      java.lang.Enum<FetchType>
          javax.persistence.FetchType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<FetchType>

    public enum FetchType

extends java.lang.Enum<FetchType>

Defines strategies for fetching data from the database. The `EAGER` strategy is a requirement on the persistence provider runtime that data must be eagerly fetched. The `LAZY` strategy is a hint to the persistence provider runtime that data should be fetched lazily when it is first accessed. The implementation is permitted to eagerly fetch data for which the `LAZY` strategy hint has been specified.

       Example:
       @Basic(fetch=LAZY)
       protected String getName() { return name; }

Since:
  Java Persistence 1.0
See Also:
  `Basic`, `ElementCollection`, `ManyToMany`, `OneToMany`, `ManyToOne`, `OneToOne`

Enum Constant Summary
`EAGER` Defines that data must be eagerly fetched.
`LAZY` Defines that data can be lazily fetched.

Method Summary
`static FetchType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static FetchType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### LAZY

    public static final FetchType LAZY

  Defines that data can be lazily fetched.

### EAGER

    public static final FetchType EAGER

  Defines that data must be eagerly fetched.

Method Detail

### values

    public static FetchType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (FetchType c : FetchType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static FetchType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD